_ldns_sha256_CTX Struct Reference

`#include <sha2.h>`

## Data Fields

uint32_t | state [8]
uint64_t | bitcount
uint8_t | buffer [64]

## Detailed Description

Definition at line 75 of file sha2.h.

## Field Documentation

## state

uint32_t _ldns_sha256_CTX::state[8]

Definition at line 76 of file sha2.h.

## bitcount

uint64_t _ldns_sha256_CTX::bitcount

Definition at line 77 of file sha2.h.

## buffer

uint8_t _ldns_sha256_CTX::buffer[64]

Definition at line 78 of file sha2.h.